## UDisksObjectManagerClient

UDisksObjectManagerClient — Generated GDBusObjectManagerClient type

## Functions

GType | udisks_object_manager_client_get_proxy_type ()
void | udisks_object_manager_client_new ()
GDBusObjectManager * | udisks_object_manager_client_new_finish ()
void | udisks_object_manager_client_new_for_bus ()
GDBusObjectManager * | udisks_object_manager_client_new_for_bus_finish ()
GDBusObjectManager * | udisks_object_manager_client_new_for_bus_sync ()
GDBusObjectManager * | udisks_object_manager_client_new_sync ()

## Types and Values

struct | UDisksObjectManagerClient
struct | UDisksObjectManagerClientClass

## Object Hierarchy

        GObject
        ╰── GDBusObjectManagerClient
            ╰── UDisksObjectManagerClient

## Implemented Interfaces

UDisksObjectManagerClient implements GInitable, GAsyncInitable and GDBusObjectManager.

## Description

This section contains a GDBusObjectManagerClient that uses `udisks_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc.

## Functions

### udisks_object_manager_client_get_proxy_type ()

    GType
    udisks_object_manager_client_get_proxy_type
                                   (GDBusObjectManagerClient *manager,
                                    const gchar *object_path,
                                    const gchar *interface_name,
                                    gpointer user_data);

A GDBusProxyTypeFunc that maps `interface_name` to the generated GDBusObjectProxy derived and GDBusProxy derived types.

#### Parameters

manager | A GDBusObjectManagerClient. |
object_path | The object path of the remote object (unused). |
interface_name | Interface name of the remote object or `NULL` to get the object proxy GType. | [nullable]
user_data | User data (unused). |

#### Returns

A GDBusProxy derived GType if `interface_name` is not `NULL`, otherwise the GType for UDisksObjectProxy.

### udisks_object_manager_client_new ()

    void
    udisks_object_manager_client_new (GDBusConnection *connection,
                                      GDBusObjectManagerClientFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates GDBusObjectManagerClient using `udisks_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_object_manager_client_new_finish()` to get the result of the operation.

See `udisks_object_manager_client_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_object_manager_client_new_finish ()

    GDBusObjectManager *
    udisks_object_manager_client_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_object_manager_client_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_object_manager_client_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type UDisksObjectManagerClient]

### udisks_object_manager_client_new_for_bus ()

    void
    udisks_object_manager_client_new_for_bus
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_object_manager_client_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_object_manager_client_new_for_bus_finish()` to get the result of the operation.

See `udisks_object_manager_client_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_object_manager_client_new_for_bus_finish ()

    GDBusObjectManager *
    udisks_object_manager_client_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_object_manager_client_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_object_manager_client_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type UDisksObjectManagerClient]

### udisks_object_manager_client_new_for_bus_sync ()

    GDBusObjectManager *
    udisks_object_manager_client_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_object_manager_client_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_object_manager_client_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type UDisksObjectManagerClient]

### udisks_object_manager_client_new_sync ()

    GDBusObjectManager *
    udisks_object_manager_client_new_sync (GDBusConnection *connection,
                                           GDBusObjectManagerClientFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates GDBusObjectManagerClient using `udisks_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_object_manager_client_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type UDisksObjectManagerClient]

## Types and Values

### struct UDisksObjectManagerClient

    struct UDisksObjectManagerClient;

The UDisksObjectManagerClient structure contains only private data and should only be accessed using the provided API.

### struct UDisksObjectManagerClientClass

    struct UDisksObjectManagerClientClass {
      GDBusObjectManagerClientClass parent_class;
    };

Class structure for UDisksObjectManagerClient.

#### Members